$.validator.addMethod("dateTime", function (valor, element) {

	value = element.value;
	if (value == "" || value == " "){
		return true;
	} else {
		if (value.length !=  16) {
			return false;
		} else {
			validateFecha = true;
			validateHora = true;
			var fecha = value.substring(0,10);
			var hora = value.substring(11);
			
			validateFecha = $.rup_validate.checkDate($.rup.i18n.base.rup_validate.format.date, fecha);

			var re = /^(\d{1,2}):(\d{2})([ap]m)?$/,regs;
			regs = hora.match(re);
			if(regs) {
				if(regs[3]) {
					if(regs[1] < 1 || regs[1] > 12) { validateHora =  false; }
				} else {
					if(regs[1] > 23) { validateHora =  false; }
				}
				if(regs[2] > 59) {
					validateHora =  false;
				}
			} else {
				validateHora =  false;
			}
			return this.optional(element) || (validateFecha && validateHora);		
		}
	}
});	


function verificar(e) {
	// comprovamos con una expresion regular que el caracter pulsado sea
	// una letra, numero o un espacio
	if(e.key.match(/[a-z0-9耒衢眢鶿s.,:<>]/)==null) {
		// Si la tecla pulsada no es la correcta, eliminado la pulsaci贸n
		e.preventDefault();
	}
}
function NumText(string){//solo letras y numeros
    var out = '';
    //Se a帽aden las letras validas
 var filtro = 'abcdefghijklmn駉pqrstuvwxyz玑轫篾ABCDEFGHIJKLMN袿PQRSTUVWXYZ1234567890/,.: \\()-';//Caracteres validos
	
    for (var i=0; i<string.length; i++)
    {
         if (filtro.indexOf(string.charAt(i)) != -1) 
	     out += string.charAt(i);
    }
    return out;
}